> ## Documentation Index
> Fetch the complete documentation index at: https://docs.opscape.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Add a workspace member to a board



## OpenAPI

````yaml https://opscape.com/api/v1/openapi.json post /boards/{boardPublicId}/members
openapi: 3.0.0
info:
  title: Kan API
  description: OpenAPI compliant REST API
  version: 1.0.0
  contact: {}
servers: []
security: []
tags: []
paths:
  /boards/{boardPublicId}/members:
    post:
      tags:
        - Board Members
      summary: Add a workspace member to a board
      operationId: addBoardMember
      parameters:
        - name: boardPublicId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AddBoardMemberDto'
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BoardMemberRoleResultDto_Output'
      security:
        - bearer: []
components:
  schemas:
    AddBoardMemberDto:
      type: object
      properties:
        workspaceMemberPublicId:
          type: string
          minLength: 12
          description: Public ID of the workspace member (not the user ID) to add.
        role:
          default: member
          description: 'Board role: ''admin'' or ''member'' (default).'
          type: string
          enum:
            - admin
            - member
      required:
        - workspaceMemberPublicId
    BoardMemberRoleResultDto_Output:
      type: object
      properties:
        publicId:
          type: string
        role:
          type: string
          enum:
            - admin
            - member
      required:
        - publicId
        - role
      additionalProperties: false
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.